Bug 1567186 - Rebase evince to 3.28.0
Summary: Rebase evince to 3.28.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: evince
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Marek Kašík
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1567133 1649404
TreeView+ depends on / blocked
 
Reported: 2018-04-13 14:13 UTC by Matthias Clasen
Modified: 2018-11-13 15:03 UTC (History)
2 users (show)

Fixed In Version: evince-3.28.2-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:22:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:22:51 UTC

Description Matthias Clasen 2018-04-13 14:13:40 UTC
As part of the desktop rebase in 7.6, we need to rebase evince to the version that is shipped with GNOME 3.28.

Comment 2 Kalev Lember 2018-05-23 12:35:32 UTC
Rebase branch: http://pkgs.devel.redhat.com/cgit/rpms/evince/log/?h=private-rhel-7.6-rebase

Note that the build actually failed in my test copr due to not having new enough libarchive. I'm asking around to see if we can get that rebased as well; otherwise we'll need to disable comics support, I guess.

Comment 3 Kalev Lember 2018-05-23 12:51:20 UTC
Asked mclasen and he though it's better to disable comics support than to try to rebase libarchive:

14:45 <kalev> this time, evince also needs new libarchive for its comics support. perhaps this can just be disabled, but the gnome-autoar issue remains of course
14:46 <kalev> I don't know how important the comics support is, maybe it's just easier to disable it than to bring it up :) libarchive is pretty low level and everything uses it, I guess we could get some resistance there
14:46 <mclasen> sounds like not something we *need* in rhel
14:46 <mclasen> comics support
14:46 <kalev> okay, disable it is then!

Comment 4 Kalev Lember 2018-05-23 13:16:16 UTC
This commit on the rebase branch now disables comics support and it builds in the copr now with that: http://pkgs.devel.redhat.com/cgit/rpms/evince/commit/?h=private-rhel-7.6-rebase&id=99451ea3ee531e335db0c145e4e0a1d54df10ad0

Comment 10 errata-xmlrpc 2018-10-30 10:22:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.